com.sun.mirror.declaration

## Interface MemberDeclaration

All Superinterfaces:
  Declaration

All Known Subinterfaces:
  AnnotationTypeDeclaration, AnnotationTypeElementDeclaration, ClassDeclaration, ConstructorDeclaration, EnumConstantDeclaration, EnumDeclaration, ExecutableDeclaration, FieldDeclaration, InterfaceDeclaration, MethodDeclaration, TypeDeclaration

    public interface MemberDeclaration
    extends Declaration

Represents a declaration that may be a member or constructor of a declared type. This includes fields, constructors, methods, and (since they may be nested) declared types themselves.

Since:
  1.5

### Method Summary

All Methods Instance Methods Abstract Methods
`TypeDeclaration` `getDeclaringType()` Returns the type declaration within which this member or constructor is declared.

### Methods inherited from interface com.sun.mirror.declaration.Declaration

`accept, equals, getAnnotation, getAnnotationMirrors, getDocComment, getModifiers, getPosition, getSimpleName`

### Method Detail

#### getDeclaringType

    TypeDeclaration getDeclaringType()

Returns the type declaration within which this member or constructor is declared. If this is the declaration of a top-level type (a non-nested class or interface), returns null.

Returns:
  the type declaration within which this member or constructor is declared, or null if there is none